cURL
curl https://api.apipod.ai/v1/videos/generations \
-H "Authorization: Bearer $APIPOD_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "seedance-2.0-fast",
"prompt": "快速概念稿:日出时分宇航员在月球行走,5 秒。",
"image_urls": ["https://example.com/first.png"],
"duration": 5,
"resolution": "720p",
"aspect_ratio": "adaptive",
"generate_audio": true
}'import os
import requests
payload = {
"model": "seedance-2.0-fast",
"prompt": "快速概念稿:日出时分宇航员在月球行走,5 秒。",
"image_urls": ["https://example.com/first.png"],
"duration": 5,
"resolution": "720p",
"aspect_ratio": "adaptive",
"generate_audio": True
}
response = requests.post(
"https://api.apipod.ai/v1/videos/generations",
headers={
"Authorization": f"Bearer {os.environ['APIPOD_API_KEY']}",
"Content-Type": "application/json",
},
json=payload,
timeout=60,
)
response.raise_for_status()
print(response.json())package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.apipod.ai/v1/videos/generations"
payload := strings.NewReader("{\n \"model\": \"seedance-2.0-fast\",\n \"prompt\": \"快速概念稿:日出时分宇航员在月球行走,5 秒。\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}falseconst options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'seedance-2.0-fast', prompt: '快速概念稿:日出时分宇航员在月球行走,5 秒。'})
};
fetch('https://api.apipod.ai/v1/videos/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"message": "success",
"data": {
"task_id": "vid_task_01JEXAMPLE"
}
}Seedance 2.0 Fast
Seedance 2.0 Fast
all-in-one 的 Seedance 2.0 Fast:一个模型 ID 以 Fast 档速度覆盖全部场景,场景由请求素材自动推断。
POST
https://api.apipod.ai
/
v1
/
videos
/
generations
cURL
curl https://api.apipod.ai/v1/videos/generations \
-H "Authorization: Bearer $APIPOD_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "seedance-2.0-fast",
"prompt": "快速概念稿:日出时分宇航员在月球行走,5 秒。",
"image_urls": ["https://example.com/first.png"],
"duration": 5,
"resolution": "720p",
"aspect_ratio": "adaptive",
"generate_audio": true
}'import os
import requests
payload = {
"model": "seedance-2.0-fast",
"prompt": "快速概念稿:日出时分宇航员在月球行走,5 秒。",
"image_urls": ["https://example.com/first.png"],
"duration": 5,
"resolution": "720p",
"aspect_ratio": "adaptive",
"generate_audio": True
}
response = requests.post(
"https://api.apipod.ai/v1/videos/generations",
headers={
"Authorization": f"Bearer {os.environ['APIPOD_API_KEY']}",
"Content-Type": "application/json",
},
json=payload,
timeout=60,
)
response.raise_for_status()
print(response.json())package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.apipod.ai/v1/videos/generations"
payload := strings.NewReader("{\n \"model\": \"seedance-2.0-fast\",\n \"prompt\": \"快速概念稿:日出时分宇航员在月球行走,5 秒。\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}falseconst options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'seedance-2.0-fast', prompt: '快速概念稿:日出时分宇航员在月球行走,5 秒。'})
};
fetch('https://api.apipod.ai/v1/videos/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"code": 200,
"message": "success",
"data": {
"task_id": "vid_task_01JEXAMPLE"
}
}授权
Use your APIPod API key as a Bearer token in the Authorization header.
请求体
application/json
APIPod 公开模型 ID。
Allowed value:
"seedance-2.0-fast"生成或编辑指令,最长 30000 字符。建议提示词不超过 500 个汉字或 1000 个英文单词;过长的文本会导致信息分散,模型可能忽略细节、只关注重点,导致生成的视频缺少元素。
Maximum string length:
30000图片 URL。按素材推断场景:仅有图片输入且不超过 2 张时按首帧/尾帧处理(图生视频);存在其他参考媒体或超过 2 张时,所有图片按参考图处理。需要显式指定语义时搭配 role 字段。最多支持 9 张;单张图片小于 30 MB。
Maximum array length:
9image_urls 的显式语义标注。reference_images:image_urls 全部按参考图处理(无论张数);first_last_frame:image_urls 按首帧 + 可选尾帧处理(最多 2 张,不能与参考视频/音频同时使用)。缺省时按素材推断场景。
可用选项:
reference_images, first_last_frame 参考视频 URL。最多支持 3 个;单个视频时长 2-15 秒,所有视频总时长不超过 15 秒。
Maximum array length:
3参考音频 URL。最多支持 3 段;单个音频时长 2-15 秒,所有音频总时长不超过 15 秒。音频不能单独使用,需至少包含一个参考图或参考视频。
Maximum array length:
3视频时长,单位为秒。 最小值:4。 最大值:15。
可用选项:
4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15 必填范围:
4 <= x <= 15输出分辨率档位。
可用选项:
480p, 720p 输出宽高比。配置为 adaptive 时,模型会根据生成场景自动适配宽高比。
可用选项:
adaptive, 16:9, 4:3, 1:1, 3:4, 9:16, 21:9 为视频生成同步音频。
在通道支持时允许检索实时信息。
此页面对您有帮助吗?